%global         appname com.github.phase1geo.minder

Name:           minder
Version:        1.4.1
Release:        1%{?dist}
Summary:        Mind-mapping application

License:        GPLv3+
URL:            https://github.com/phase1geo/Minder
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz
# https://github.com/phase1geo/Minder/pull/79
Patch0:         minder-fix-appdata.diff

BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:  libappstream-glib
BuildRequires:  meson
BuildRequires:  vala
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(granite)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libarchive)
BuildRequires:  pkgconfig(libxml-2.0)
Requires:       hicolor-icon-theme

%description
Create, develop and visualize your ideas.

Use the power of mind-mapping to make your ideas come to life.

• Quickly create visual mind-maps using the keyboard and automatic layout.
• Gorgeous themes.
• Export to PDF, PNG, JPEG, BMP, SVG, OPML, CSV, Markdown and PlainText formats.
• Printer support.
• Add notes, tasks and images to your nodes.
• Colorized node branches.

%prep
%autosetup -p1 -n Minder-%{version}

%build
%meson
%meson_build

%install
%meson_install
%find_lang %{appname}

%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/%{appname}.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/%{appname}.desktop

%files -f %{appname}.lang
%license LICENSE COPYING
%doc README.md AUTHORS
%{_bindir}/%{appname}
%{_datadir}/applications/%{appname}.desktop
%{_datadir}/glib-2.0/schemas/%{appname}.gschema.xml
%{_datadir}/icons/hicolor/*/apps/%{appname}.svg
%{_datadir}/mime/packages/%{appname}.xml
%{_metainfodir}/%{appname}.appdata.xml

%changelog
* Thu Jul 25 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 1.4.1-1
- Update to 1.4.1

* Sat Jun 08 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 1.3.1-1
- Update to 1.3.1

* Wed May 29 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 1.3.0-1
- Update to 1.3.0

* Tue Apr 23 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 1.2.1-1
- Initial package
